package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 图片管理对象 xys_img
 * 
 * @author libao
 * @date 2024-07-08
 */
public class XysImg extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 官网图片管理 */
    private Long id;

    /** 图片类型（1一级页面/2二级页面） */
    @Excel(name = "图片类型", readConverterExp = "1=一级页面/2二级页面")
    private Long imgType;

    /** 图片地址 */
    @Excel(name = "图片地址")
    private String imgUrl;

    /** 图片所属分类 */
    @Excel(name = "图片所属分类")
    private Long imgCat;

    /** $column.columnComment */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setImgType(Long imgType) 
    {
        this.imgType = imgType;
    }

    public Long getImgType() 
    {
        return imgType;
    }
    public void setImgUrl(String imgUrl) 
    {
        this.imgUrl = imgUrl;
    }

    public String getImgUrl() 
    {
        return imgUrl;
    }
    public void setImgCat(Long imgCat) 
    {
        this.imgCat = imgCat;
    }

    public Long getImgCat() 
    {
        return imgCat;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("imgType", getImgType())
            .append("imgUrl", getImgUrl())
            .append("imgCat", getImgCat())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("remark", getRemark())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
